package cn.com.poc.equity.service;

import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.equity.entity.BizPaymentPackageConfigurationEntity;
import cn.com.yict.framemax.data.model.PagingInfo;
import java.util.Collection;
import java.util.List;

public interface BizPaymentPackageConfigurationService extends BaseService {

    BizPaymentPackageConfigurationEntity get(java.lang.Integer id) throws Exception;

    List<BizPaymentPackageConfigurationEntity> findByExample(BizPaymentPackageConfigurationEntity example,PagingInfo pagingInfo);
    
    BizPaymentPackageConfigurationEntity save(BizPaymentPackageConfigurationEntity entity) throws Exception;

    BizPaymentPackageConfigurationEntity update(BizPaymentPackageConfigurationEntity entity) throws Exception;

    void deletedById(java.lang.Integer id) throws Exception;
    
}